# SPDX-FileCopyrightText: no
# SPDX-License-Identifier: CC0-1.0
#
### pacstrap Module
#
# This module installs the base system and then copies files
# into the installation that will be used in the installed system
#

---
# basePackages is an array of package names to pass to pacstrap

basePackages:
  - base
  - base-devel

  - archlinux-keyring
  - melawy-linux-keyring
  - melawy-linux-mirrorlist
  - cachyos-keyring
  - cachyos-mirrorlist
  - arcolinux-keyring
  - arcolinux-mirrorlist-git
  - chaotic-keyring
  - chaotic-mirrorlist
  - endeavouros-keyring
  - endeavouros-mirrorlist
  - manjaro-keyring

  - linux-atm
  - linux-firmware
  - linux-firmware-marvell
  - linux-api-headers
  - linux-cachyos
  - linux-cachyos-headers

  - btrfs-progs
  - chwd
  - cryptsetup
  - device-mapper
  - diffutils
  - dosfstools
  - dracut
  - e2fsprogs
  - efibootmgr
  - exfatprogs
  - f2fs-tools
  - inetutils
  - iptables-nft
  - jfsutils
  - less
  - logrotate
  - lsb-release
  - lvm2
  - man-db
  - man-pages
  - mdadm
  - mkinitcpio
  - nano
  - netctl
  - ntfs-3g
  - os-prober
  - perl
  - plymouth
  - python
  - refind
  - reiserfsprogs
  - s-nail
  - sudo
  - sysfsutils
  - systemd-sysvcompat
  - texinfo
  - usbutils
  - which
  - xfsprogs
  - xterm

# postInstallFiles is an array of file names which will be copied into the system
#
# The paths should be relative to the host and the files will be copied to the
# location in the installed system

postInstallFiles:
  - "/root/airootfs.tar.zst"

